Summary: A GTK+ based front-end for CD rippers and MP3 encoders.
Name: grip
Version: 2.96
Release: fr1
Serial: 1
Copyright: GPL
Group: Applications/Multimedia
Source: http://www.nostatic.org/grip/%{name}+cdpar-%{version}.tar.bz2
Source1: gripicon.png
Patch0: grip+cdpar-2.94-makefile.patch
URL: http://www.nostatic.org/grip/
Buildroot: %{_tmppath}/%{name}-root

%description
Grip is a GTK+ based front-end for CD rippers (such as cdparanoia and
cdda2wav) and MP3 encoders.  Grip allows you to rip entire tracks or
just a section of a track.  Grip supports the CDDB protocol for
accessing track information on disc database servers.

%prep
%setup -q
%patch0 -p1 -b .tim

%build
cd cdparanoia
%configure
make
make lib
cd -
make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_bindir},%{_libdir},%{_datadir}/pixmaps}
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/

%makeinstall DESTDIR=%{buildroot} MANDIR=%{_mandir}

install %{SOURCE1} %{buildroot}%{_datadir}/pixmaps

cat > %{buildroot}/etc/X11/applnk/Multimedia/grip.desktop << EOF
[Desktop Entry]
Name=grip
Type=Application
Exec=%{_bindir}/grip
Comment=%{summary}
Icon=%{_datadir}/pixmaps/gripicon.png
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README CHANGES CREDITS LICENSE TODO gripicon.tif gcdicon.tif
%{_libdir}/grip
%{_bindir}/grip
%{_bindir}/gcd
%{_mandir}/*/*
%{_datadir}/pixmaps/gripicon.png
/etc/X11/applnk/Multimedia/grip.desktop

%changelog
* Thu Jul 26 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 2.96 and spec file cleanup.
- Added .org to "nostatic" in the URL... it's correct now :-)

* Wed Aug 9 2000 Tim Powers <timp@redhat.com>
- added Serial so that we can upgrade from the Helix packages for 6.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- include icon properly
- fix up man path patch

* Wed Jun 7 2000 Tim Powers <timp@redhat.com>
- fixed manpage location
- use %%makeinstall and other predefined macros wherever possible

* Fri May 12 2000 Tim Powers <timp@redhat.com>
- updated to 2.94

* Sun Feb 06 2000 Preston Brown <pbrown@redhat.com>
- fix more problems w/man page because of gzip

* Sun Jan 16 2000 Preston Brown <pbrown@redhat.com>
- 2.91
- fix man page symlink

* Thu Nov 11 1999 Tim Powers <timp@redhat.com>
- updated to 2.8
- no longer need separate cdparanoia source
- gzip man pages
- added desktop entry

* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- update to 2.6

* Thu Jul 15 1999 Tim Powers <timp@redhat.com>
- updated grip source
- included cdparanoia source, builds during the build routine so
  we can have a complete grip build
- and all were happy when it twas built for 6.1

* Sat Apr 18 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
